package com.warewms.common.entity.kayeeApi.query;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * User: andy.qu
 * Date: 2019/8/14
 */
@Getter
@Setter
public class PurcharseQuery implements Serializable {

    //(状态-1全部（默认-1）, 0未审核，1已审核，4已作废)
    public final static Integer IS_LOCK_ALL = -1;
    public final static Integer IS_LOCK_UNAUDITED = 0;
    public final static Integer IS_LOCK_AUDITED = 1;
    public final static Integer IS_LOCK_INVALID = 4;


    private String action;
    private String accessToken;
    private Integer pageSize;
    private Integer pageIndex;
    private String orderNo;
    private String remark;
    private Integer isLock;
    private String startTime;
    private String endTime;
    private String orderId;
    private String keywords;
    private String code;
    private String type;
}