package com.warewms.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * Created by IntelliJ IDEA.
 * User: andy.qu
 * Date: 2019/8/14
 */
@Data
@Component
@ConfigurationProperties(prefix = "kayee")
public class KayeeApiConfig implements WebMvcConfigurer {
    private String url;
    private String accessToken;
    private String warehouseId;
//    private String BDL;
}