package com.warewms.common.entity.kuaidi100;

import com.alibaba.fastjson.annotation.JSONField;
import com.jfinal.kit.JsonKit;

import java.util.ArrayList;

public class Result {

	private String message = "";

	private String nu = "";
	@JSONField(serialize = false)
	private String ischeck = "0";
	@JSONField(serialize = false)
	private String com = "";
	private String status = "0";
	@JSONField(serialize = false)
	private ArrayList<ResultItem> data = new ArrayList<ResultItem>();
	@JSONField(serialize = false)
	private String state = "0";
	@JSONField(serialize = false)
	private String condition = "";

	@SuppressWarnings("unchecked")
	public Result clone() {
		Result r = new Result();
		r.setCom(this.getCom());
		r.setIscheck(this.getIscheck());
		r.setMessage(this.getMessage());
		r.setNu(this.getNu());
		r.setState(this.getState());
		r.setStatus(this.getStatus());
		r.setCondition(this.getCondition());
		r.setData((ArrayList<ResultItem>) this.getData().clone());

		return r;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getNu() {
		return nu;
	}

	public void setNu(String nu) {
		this.nu = nu;
	}

	public String getCom() {
		return com;
	}

	public void setCom(String com) {
		this.com = com;
	}

	public ArrayList<ResultItem> getData() {
		return data;
	}

	public void setData(ArrayList<ResultItem> data) {
		this.data = data;
	}

	public String getIscheck() {
		return ischeck;
	}

	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCondition() {
		return condition;
	}

	public void setCondition(String condition) {
		this.condition = condition;
	}

	@Override
	public String toString() {
		return JsonKit.toJson(this);
	}
}
