package com.warewms.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * ClassName    K3CloudConfig
 * Description
 * Author       coder
 * Date         2019/9/26 9:26 AM
 * Version      1.0
 **/
@Data
@Component
@ConfigurationProperties(prefix = "k3cloud")
public class K3CloudConfig implements WebMvcConfigurer {

    //账套请求地址
    private String ipAddress;

    //回传单据url
    private String docAddress;

    //账套id
    private String accountCover;

    //用户名
    private String accountUser;

    //密码
    private String accountPsw;

    //固定传参
    private String accountEx;

    //接口版本
    private String apiVersion;

    //上海仓仓库编码
    private String stockNo;
}
